%if 0%{?rhel} && 0%{?rhel} <= 6
%global python python27
%global tkinter tkinter27
%else
%global python python
%global tkinter tkinter
%endif

%global pypi_name enum34
%global __sum Backport of Python 3.4 Enum

Name:           %{python}-%{pypi_name}
Version:        1.1.6
Release:        1%{?dist}
Summary:        %{__sum}

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/%{pypi_name}/
Source0:        https://pypi.io/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

Provides:       %{python}-%{pypi_name} = %{version}-%{release}

BuildRequires:  %{python}-devel
BuildRequires:  %{python}-setuptools


%description
Python 3.4 introduced official support for enumerations.  This is a
backport of that feature to Python 3.3, 3.2, 3.1, 2.7, 2.5, 2.5, and 2.4.

An enumeration is a set of symbolic names (members) bound to unique,
constant values. Within an enumeration, the members can be compared by
identity, and the enumeration itself can be iterated over.

This module defines two enumeration classes that can be used to define
unique sets of names and values: Enum and IntEnum. It also defines one
decorator, unique, that ensures only unique member names are present
in an enumeration.


%prep
%setup -q -n %{pypi_name}-%{version}


%build
%py27_build


%install
%py27_install


%files
%{!?_licensedir:%global license %%doc}
%doc PKG-INFO enum/LICENSE enum/README enum/doc/enum.rst
%{python27_sitelib}/*


%changelog

